Rated 5 out of 5 stars

I am one of the users who has this installed in my Firefox v44 but recently I switched to Pale Moon because of the changes Mozilla is making in Firefox v46.

Your older versions of this addon work in Pale Moon (kind of) but it lacks a lot of the features.

Can you please make your addon (all the features) work for Pale Moon v26+ ?

Thank you.

This review is for a previous version of the add-on (3.0.1.20160122). 

Pale Moon is now supported starting from version 26.
If you like this add-on, kindly donate to help future browser support and maintenance. Thanks.